var gulp = require('gulp');
var browserSync = require('browser-sync');
var htmlmin = require('gulp-html-minifier2');
var cleanCSS = require('gulp-clean-css');
var jsmin = require('gulp-jsmin');
var tinify = require('gulp-tinify');

gulp.task('jorjee', function() {
    console.log('jorjee gulp');
});

gulp.task('browser-sync', function() {
    browserSync({
        server: {
            baseDir: "./"
        }
    });
    gulp.watch(['./*.php'], browserSync.reload);
    gulp.watch(['./public/css/*.css'], browserSync.reload);
    gulp.watch(['./public/js/*.js'], browserSync.reload);
});
 
gulp.task('minify', function() {
  	gulp.src('./*.html')
        .pipe(htmlmin({collapseWhitespace: true}))
    	.pipe(gulp.dest('./dist_gulp'))
});

gulp.task('minify-css', () => {
  	return gulp.src('./public/css/*.css')
	    .pipe(cleanCSS({compatibility: 'ie8'}))
	    .pipe(gulp.dest('./public_gulp/css'));
});

gulp.task('minify-js', function () {
    gulp.src('./public/js/*.js')
        // .pipe(jsmin())
        // .pipe(rename({suffix: '.min'}))
        .pipe(gulp.dest('./public_gulp/js'));
});
 
gulp.task('tinify', function() {
    gulp.src('./public/image/**/*')
        .pipe(tinify('TinyPNGAPIKey'))
        .pipe(gulp.dest('./public_gulp/image'));
});